Manage checks.
Operations
getCheckSelectFields
Retrieves a check with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/check/getCheckSelectFieldsPOST /nexum/627/persistent/check/getCheckSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckSelectFieldsFilterChildren
Retrieves a check with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/check/getCheckSelectFieldsFilterChildrenPOST /nexum/627/persistent/check/getCheckSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFields": true
},
"ChildrenSearchFilter": {
"CheckFmHistoryFilter": {
"StartPostDate": "2026-01-01",
"EndPostDate": "2026-01-01",
"Query": "string"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckFmHistoryPagedListSelectFields
Retrieves a paged list of check FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/check/getCheckFmHistoryPagedListSelectFieldsPOST /nexum/627/persistent/check/getCheckFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCheckFmHistoryPagedSelectFields
Searches check FM history with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/check/searchCheckFmHistoryPagedSelectFieldsPOST /nexum/627/persistent/check/searchCheckFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"SearchFilter": {
"StartPostDate": "2026-01-01",
"EndPostDate": "2026-01-01",
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateCheckByID
Updates a check by ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/check/updateCheckByIDPOST /nexum/627/persistent/check/updateCheckByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"CheckFields": {},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createCheck
Creates a new check.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/check/createCheckPOST /nexum/627/persistent/check/createCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckFields": {},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}